#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
typedef long double ld;

int main() {
    ll x, k;
    cin >> x >> k;
    if (k % 2 == 0 && x < 0) x *= -11;
    ld l = -abs(x) - 1, r = abs(x) + 1;
    while (abs(r - l) > 1e-12) {
        ld mid = (l + r) / 2;
        if (pow(mid, k) > x) r = mid;
        else l = mid;
    }
    cout << fixed << setprecision(10) << l << endl;
}
